@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}
body {
    min-height: 100%;
    color: $white;
    background-color: $black;
    font-family: $font-family-primary;
    font-size: rem(16);
}


// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 700;
    line-height: 1.2;
    font-family: $font-family-primary;
}

h1, .h1 {
    font-weight: 400;
    font-size: rem(34);
    margin-bottom: rem(15);

    @include media-breakpoint-up(md) {
        font-size: rem(42);
        line-height: rem(52);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(54);
        line-height: rem(64);
    }
}

h2, .h2 {
    font-size: rem(32);
    margin-bottom: rem(24);
}

h3, .h3 {
    font-size: rem(24);
    margin-bottom: rem(20);
}

h4, .h4 {
    font-size: rem(20);
    margin-bottom: rem(20);
}

h5, .h5 {
    font-size: rem(16);
    margin-bottom: rem(20);
}

h6, .h6 {
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    color: $violet;
    text-decoration: none;

    &:hover {
        color: $violet;
        text-decoration: underline;
    }
}

p {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

// Lists

ol,
ul {
    padding-left: rem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


